# gdcm::RLECodec Class Reference

Class to do RLE. More...

`#include <gdcmRLECodec.h>`

Inheritance diagram for gdcm::RLECodec:
[legend]
Collaboration diagram for gdcm::RLECodec:
[legend]

List of all members.

## Public Member Functions

| RLECodec ()
| ~RLECodec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | Code (DataElement const &in, DataElement &out)
| Code.
bool | Decode (DataElement const &is, DataElement &os)
| Decode.
unsigned long | GetBufferLength () const
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
void | SetBufferLength (unsigned long l)
void | SetLength (unsigned long l)

## Protected Member Functions

bool | Decode (std::istream &is, std::ostream &os)

## Detailed Description

Class to do RLE.

Note:
  ANSI X3.9 A.4.2 RLE Compression Annex G defines a RLE Compression Transfer Syntax. This transfer Syntax is identified by the UID value "1.2.840.10008.1.2.5". If the object allows multi-frame images in the pixel data field, then each frame shall be encoded separately. Each frame shall be encoded in one and only one Fragment (see PS 3.5.8.2).

## Constructor & Destructor Documentation

gdcm::RLECodec::RLECodec | ( |  | ) |

gdcm::RLECodec::~RLECodec | ( |  | ) |

## Member Function Documentation

bool gdcm::RLECodec::CanCode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this coder support this transfer syntax (can code it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::RLECodec::CanDecode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this decoder support this transfer syntax (can decode it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::RLECodec::Code | ( | DataElement const & | in_,
|  | DataElement & | out_
| ) |  | `[virtual]`

Code.

Reimplemented from gdcm::Coder.

bool gdcm::RLECodec::Decode | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  | `[protected, virtual]`

Reimplemented from gdcm::ImageCodec.

bool gdcm::RLECodec::Decode | ( | DataElement const & | is_,
|  | DataElement & | os
| ) |  | `[virtual]`

Decode.

Reimplemented from gdcm::ImageCodec.

unsigned long gdcm::RLECodec::GetBufferLength | ( |  | ) | const`[inline]`

bool gdcm::RLECodec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts
| ) |  | `[virtual]`

Reimplemented from gdcm::ImageCodec.

void gdcm::RLECodec::SetBufferLength | ( | unsigned long | l | ) | `[inline]`

void gdcm::RLECodec::SetLength | ( | unsigned long | l | ) | `[inline]`

The documentation for this class was generated from the following file:

- gdcmRLECodec.h